Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/orografi.F
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/orografi.F	(revision 493)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/orografi.F	(revision 495)
@@ -315,5 +315,5 @@
       call gwprofil
      *       (  nlon , nlev
-     *       , kgwd   , kdx
+     *       , kgwd   , kdx , ktest
      *       , ikcrith, icrit
      *       , paphm1, zrho   , zstab ,  zvph
@@ -343,6 +343,10 @@
 c
 c
-      do 523 jl=1,kgwd
-      ji=kdx(jl)
+c     do 523 jl=1,kgwd
+c     ji=kdx(jl)
+c  Modif vectorisation 02/04/2004
+      do 523 ji=kidia,kfdia
+      if(ktest(ji).eq.1) then
+
       zdelp=paphm1(ji,jk+1)-paphm1(ji,jk)
       ztemp=-rg*(ztau(ji,jk+1)-ztau(ji,jk))/(zvph(ji,ilevp1)*zdelp)
@@ -401,4 +405,5 @@
       pte(ji,jk)=0.0
 
+      endif
   523 continue
 
@@ -1007,5 +1012,5 @@
       SUBROUTINE GWPROFIL
      *         ( NLON, NLEV
-     *         , kgwd, kdx
+     *         , kgwd, kdx , ktest
      *         , KKCRITH, KCRIT
      *         , PAPHM1, PRHO   , PSTAB  , PVPH , PRI , PTAU
@@ -1075,5 +1080,6 @@
       integer nlon,nlev
       INTEGER KKCRITH(NLON),KCRIT(NLON)
-     *       ,kdx(nlon)
+     *       ,kdx(nlon) , ktest(nlon)
+
 C
       REAL PAPHM1(NLON,NLEV+1), PSTAB(NLON,NLEV+1),
@@ -1109,8 +1115,12 @@
       ilevh=KLEV/3
 C
-      DO 400 ji=1,kgwd
-      jl=kdx(ji)
+c     DO 400 ji=1,kgwd
+c     jl=kdx(ji)
+c  Modif vectorisation 02/04/2004
+      DO 400 jl=kidia,kfdia
+      if (ktest(jl).eq.1) then
       Zoro(JL)=Psig(JL)*Pdmod(JL)/4./max(pvar(jl),1.0)
       ZTAU(JL,KLEV+1)=PTAU(JL,KLEV+1)
+      endif
   400 CONTINUE
   
@@ -1123,6 +1133,9 @@
   410 CONTINUE
 C
-      DO 411 ji=1,kgwd
-      jl=kdx(ji)
+c     DO 411 ji=1,kgwd
+c     jl=kdx(ji)
+c  Modif vectorisation 02/04/2004
+      do 411 jl=kidia,kfdia
+      if (ktest(jl).eq.1) then
            IF(JK.GT.KKCRITH(JL)) THEN
            PTAU(JL,JK)=ZTAU(JL,KLEV+1)
@@ -1132,4 +1145,5 @@
            PTAU(JL,JK)=GRAHILO*ZTAU(JL,KLEV+1)
            ENDIF
+      endif
  411  CONTINUE             
 C
@@ -1143,6 +1157,9 @@
   420 CONTINUE
 C
-      DO 421 ji=1,kgwd
-      jl=kdx(ji)
+c     DO 421 ji=1,kgwd
+c     jl=kdx(ji)
+c  Modif vectorisation 02/04/2004
+      do 421 jl=kidia,kfdia
+      if(ktest(jl).eq.1) then
       IF(JK.LT.KKCRITH(JL)) THEN
       ZNORM(JL)=gkdrag*PRHO(JL,JK)*SQRT(PSTAB(JL,JK))*PVPH(JL,JK)
@@ -1150,4 +1167,5 @@
       ZDZ2(JL,JK)=PTAU(JL,JK+1)/max(ZNORM(JL),gssec)
       ENDIF
+      endif
   421 CONTINUE
 C
@@ -1157,6 +1175,10 @@
 C
                           
-      DO 431 ji=1,kgwd
-      jl=kdx(ji)
+c     DO 431 ji=1,kgwd
+c     jl=Kdx(ji)
+c  Modif vectorisation 02/04/2004
+      do 431 jl=kidia,kfdia
+      if(ktest(jl).eq.1) then
+
           IF(JK.LT.KKCRITH(JL)) THEN
           IF((PTAU(JL,JK+1).LT.GTSEC).OR.(JK.LE.KCRIT(JL))) THEN
@@ -1178,4 +1200,5 @@
           ENDIF
           ENDIF
+      endif
   431 CONTINUE
   
@@ -1185,14 +1208,22 @@
 C  REORGANISATION OF THE STRESS PROFILE AT LOW LEVEL
 
-      DO 530 ji=1,kgwd
-      jl=kdx(ji)
+c     DO 530 ji=1,kgwd
+c     jl=kdx(ji)
+c  Modif vectorisation 02/04/2004
+      do 530 jl=kidia,kfdia
+      if(ktest(jl).eq.1) then
       ZTAU(JL,KKCRITH(JL))=PTAU(JL,KKCRITH(JL))
       ZTAU(JL,NSTRA)=PTAU(JL,NSTRA)
+      endif
  530  CONTINUE      
 
       DO 531 JK=1,KLEV
       
-      DO 532 ji=1,kgwd
-      jl=kdx(ji)
+c     DO 532 ji=1,kgwd
+c     jl=kdx(ji)
+c  Modif vectorisation 02/04/2004
+      do 532 jl=kidia,kfdia
+      if(ktest(jl).eq.1) then
+
                 
          IF(JK.GT.KKCRITH(JL))THEN
@@ -1206,10 +1237,15 @@
         ENDIF
             
+      endif
  532  CONTINUE    
  
 C  REORGANISATION IN THE STRATOSPHERE
 
-      DO 533 ji=1,kgwd
-      jl=kdx(ji)
+c     DO 533 ji=1,kgwd
+c     jl=kdx(ji)
+c  Modif vectorisation 02/04/2004
+      do 533 jl=kidia,kfdia
+      if(ktest(jl).eq.1) then
+
 
          IF(JK.LT.NSTRA)THEN
@@ -1221,10 +1257,15 @@
         ENDIF
 
+      endif
  533  CONTINUE
 
 C REORGANISATION IN THE TROPOSPHERE
 
-       DO 534 ji=1,kgwd
-       jl=kdx(ji)
+c      DO 534 ji=1,kgwd
+c      jl=kdx(ji)
+c  Modif vectorisation 02/04/2004
+      do 534 jl=kidia,kfdia
+      if(ktest(jl).eq.1) then
+
 
          IF(JK.LT.KKCRITH(JL).AND.JK.GT.NSTRA)THEN
@@ -1236,4 +1277,5 @@
 
        ENDIF
+      endif
  534   CONTINUE
 
